1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Whats the latest firmware needed for Hitachi 78/79

Discussion in 'Xbox 360 - Modding & Hacking' started by lazytitan, Jun 5, 2012.

  1. lazytitan

    lazytitan Regular member

    Joined:
    Nov 7, 2004
    Messages:
    278
    Likes Received:
    0
    Trophy Points:
    26
    I havent modded my 360 for almost a year but was going to mod it again but i have a Hitachi 78/79 wondering what firmware I need and is it the latest?
     
  2. b1gh3ad

    b1gh3ad Regular member

    Joined:
    Nov 7, 2010
    Messages:
    980
    Likes Received:
    0
    Trophy Points:
    26
    currently its LT2.0b since c4eva hasnt released LT3.0 for Hitachi 78/79 drives yet
     
  3. lazytitan

    lazytitan Regular member

    Joined:
    Nov 7, 2004
    Messages:
    278
    Likes Received:
    0
    Trophy Points:
    26
    Lame, at what point game does it require 3.0?

    Also are you still able to spoof other drives even if i still have an original 360.
     
  4. b1gh3ad

    b1gh3ad Regular member

    Joined:
    Nov 7, 2010
    Messages:
    980
    Likes Received:
    0
    Trophy Points:
    26
    if its a XGD3 game or if it has AP2.5 then you will need LT3.0 to boot (You might have to do some research to verify that).

    I would recommend that you spoof drives because if your going to be playing live then microsoft will detect it immediately
     
  5. lazytitan

    lazytitan Regular member

    Joined:
    Nov 7, 2004
    Messages:
    278
    Likes Received:
    0
    Trophy Points:
    26
    Well i dont play online so there is not worries there. Where would i find a guide to point me to how to spoof my drive and what would be best drive to spoof to?
     
  6. b1gh3ad

    b1gh3ad Regular member

    Joined:
    Nov 7, 2010
    Messages:
    980
    Likes Received:
    0
    Trophy Points:
    26
    Before you spoof update your console to the latest dashboard through the usb method so they there wont be any surprises if a game prompts you for a dashboard update. I presume you have the latest jungleflasher with the firmware pack.

    Tutorial: http://team-xecuter.com/forums/showthread.php?t=50182
     
  7. peluynati

    peluynati Regular member

    Joined:
    Nov 18, 2009
    Messages:
    1,841
    Likes Received:
    0
    Trophy Points:
    46
    actually there is a good chance that you do not need anything past 2.0b, there are more models of 78/79 that do not need anything more.
     
  8. lazytitan

    lazytitan Regular member

    Joined:
    Nov 7, 2004
    Messages:
    278
    Likes Received:
    0
    Trophy Points:
    26
    I can try that first to see if it will just play, when did 2.0 come out because i dont know if i put it on or not. been a long time since I modded mine.
     
  9. peluynati

    peluynati Regular member

    Joined:
    Nov 18, 2009
    Messages:
    1,841
    Likes Received:
    0
    Trophy Points:
    46
    a lot of the models of those 2 drives do not support xgd3, i've only seen one so far that does!
     
  10. lazytitan

    lazytitan Regular member

    Joined:
    Nov 7, 2004
    Messages:
    278
    Likes Received:
    0
    Trophy Points:
    26
    I apologize for my ignorance but what is xgd3 and how would i go about seeing if mine can or cant?
     
  11. peluynati

    peluynati Regular member

    Joined:
    Nov 18, 2009
    Messages:
    1,841
    Likes Received:
    0
    Trophy Points:
    46
    you can check the numbers they are posted, or just burn one and see if it works!
     

Share This Page